# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: 'Smoke test - OpenAI assistant custom apiKeyEnvar missing key error'

providers:
  - id: openai:assistant:test-assistant-id
    label: 'OpenAI assistant with custom key'
    config:
      # Keep evaluation running so the missing-key message is captured in the output JSON.
      apiKeyRequired: false
      apiKeyEnvar: CUSTOM_ASSISTANT_KEY

prompts:
  - 'Hello from smoke test'

tests:
  - vars: {}
